|  | Home | Documentation | ds__X509DataType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
ds__X509DataType Struct Reference

"http://www.w3.org/2000/09/xmldsig#":X509DataType is a complexType. More...

`#include <ds.h>`

Collaboration diagram for ds__X509DataType:
[legend]

## Public Attributes
struct ds__X509IssuerSerialType * | X509IssuerSerial
char * | X509SKI
| Element X509SKI of type xs:base64Binary. More...
char * | X509SubjectName
| Element X509SubjectName of type xs:string. More...
char * | X509Certificate
| Element X509Certificate of type xs:base64Binary. More...
char * | X509CRL
| Element X509CRL of type xs:base64Binary. More...

## Detailed Description

"http://www.w3.org/2000/09/xmldsig#":X509DataType is a complexType.

## Member Data Documentation

char* ds__X509DataType::X509Certificate

Element X509Certificate of type xs:base64Binary.

Required element.

char* ds__X509DataType::X509CRL

Element X509CRL of type xs:base64Binary.

Required element.

struct ds__X509IssuerSerialType* ds__X509DataType::X509IssuerSerial

CHOICE OF ELEMENTS <choice> Element X509IssuerSerial of type "http://www.w3.org/2000/09/xmldsig#":X509IssuerSerialType. Required element.

char* ds__X509DataType::X509SKI

Element X509SKI of type xs:base64Binary.

Required element.

char* ds__X509DataType::X509SubjectName

Element X509SubjectName of type xs:string.

Required element.

The documentation for this struct was generated from the following file:

- ds.h